Publish one tested exact-head repair
curl --request POST \
--url https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changes": [
{
"path": "<string>",
"contents": "<string>"
}
],
"covered_input_sequence": 1,
"expected_head": "<string>",
"fencing_token": 1,
"operation_id": "<string>",
"source_item_id": "<string>",
"task": {
"generation": 1,
"task_id": "<string>"
},
"tested_tree": "<string>"
}
'import requests
url = "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects"
payload = {
"changes": [
{
"path": "<string>",
"contents": "<string>"
}
],
"covered_input_sequence": 1,
"expected_head": "<string>",
"fencing_token": 1,
"operation_id": "<string>",
"source_item_id": "<string>",
"task": {
"generation": 1,
"task_id": "<string>"
},
"tested_tree": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changes: [{path: '<string>', contents: '<string>'}],
covered_input_sequence: 1,
expected_head: '<string>',
fencing_token: 1,
operation_id: '<string>',
source_item_id: '<string>',
task: {generation: 1, task_id: '<string>'},
tested_tree: '<string>'
})
};
fetch('https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'changes' => [
[
'path' => '<string>',
'contents' => '<string>'
]
],
'covered_input_sequence' => 1,
'expected_head' => '<string>',
'fencing_token' => 1,
'operation_id' => '<string>',
'source_item_id' => '<string>',
'task' => [
'generation' => 1,
'task_id' => '<string>'
],
'tested_tree' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects"
payload := strings.NewReader("{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"contents\": \"<string>\"\n }\n ],\n \"covered_input_sequence\": 1,\n \"expected_head\": \"<string>\",\n \"fencing_token\": 1,\n \"operation_id\": \"<string>\",\n \"source_item_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n },\n \"tested_tree\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"contents\": \"<string>\"\n }\n ],\n \"covered_input_sequence\": 1,\n \"expected_head\": \"<string>\",\n \"fencing_token\": 1,\n \"operation_id\": \"<string>\",\n \"source_item_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n },\n \"tested_tree\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"contents\": \"<string>\"\n }\n ],\n \"covered_input_sequence\": 1,\n \"expected_head\": \"<string>\",\n \"fencing_token\": 1,\n \"operation_id\": \"<string>\",\n \"source_item_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n },\n \"tested_tree\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"effect_id": "<string>",
"expected_head": "<string>",
"ordinal": 1,
"pull_request_url": "<string>",
"state": "prepared",
"tested_tree": "<string>",
"commit": "<string>"
}{
"effect_id": "<string>",
"expected_head": "<string>",
"ordinal": 1,
"pull_request_url": "<string>",
"state": "prepared",
"tested_tree": "<string>",
"commit": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}Runner API
Publish one tested exact-head repair
Records immutable expected-head and tested-tree authority before one native publication. Refuses workflow changes, unsupported file modes, stale ownership and unresolved effects. Unknown acknowledgements require reconciliation and never repeat the mutation.
POST
/
v1
/
runners
/
me
/
leases
/
{lease_id}
/
tasks
/
effects
Publish one tested exact-head repair
curl --request POST \
--url https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changes": [
{
"path": "<string>",
"contents": "<string>"
}
],
"covered_input_sequence": 1,
"expected_head": "<string>",
"fencing_token": 1,
"operation_id": "<string>",
"source_item_id": "<string>",
"task": {
"generation": 1,
"task_id": "<string>"
},
"tested_tree": "<string>"
}
'import requests
url = "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects"
payload = {
"changes": [
{
"path": "<string>",
"contents": "<string>"
}
],
"covered_input_sequence": 1,
"expected_head": "<string>",
"fencing_token": 1,
"operation_id": "<string>",
"source_item_id": "<string>",
"task": {
"generation": 1,
"task_id": "<string>"
},
"tested_tree": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changes: [{path: '<string>', contents: '<string>'}],
covered_input_sequence: 1,
expected_head: '<string>',
fencing_token: 1,
operation_id: '<string>',
source_item_id: '<string>',
task: {generation: 1, task_id: '<string>'},
tested_tree: '<string>'
})
};
fetch('https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'changes' => [
[
'path' => '<string>',
'contents' => '<string>'
]
],
'covered_input_sequence' => 1,
'expected_head' => '<string>',
'fencing_token' => 1,
'operation_id' => '<string>',
'source_item_id' => '<string>',
'task' => [
'generation' => 1,
'task_id' => '<string>'
],
'tested_tree' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects"
payload := strings.NewReader("{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"contents\": \"<string>\"\n }\n ],\n \"covered_input_sequence\": 1,\n \"expected_head\": \"<string>\",\n \"fencing_token\": 1,\n \"operation_id\": \"<string>\",\n \"source_item_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n },\n \"tested_tree\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"contents\": \"<string>\"\n }\n ],\n \"covered_input_sequence\": 1,\n \"expected_head\": \"<string>\",\n \"fencing_token\": 1,\n \"operation_id\": \"<string>\",\n \"source_item_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n },\n \"tested_tree\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentsfleet.net/v1/runners/me/leases/{lease_id}/tasks/effects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"changes\": [\n {\n \"path\": \"<string>\",\n \"contents\": \"<string>\"\n }\n ],\n \"covered_input_sequence\": 1,\n \"expected_head\": \"<string>\",\n \"fencing_token\": 1,\n \"operation_id\": \"<string>\",\n \"source_item_id\": \"<string>\",\n \"task\": {\n \"generation\": 1,\n \"task_id\": \"<string>\"\n },\n \"tested_tree\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"effect_id": "<string>",
"expected_head": "<string>",
"ordinal": 1,
"pull_request_url": "<string>",
"state": "prepared",
"tested_tree": "<string>",
"commit": "<string>"
}{
"effect_id": "<string>",
"expected_head": "<string>",
"ordinal": 1,
"pull_request_url": "<string>",
"state": "prepared",
"tested_tree": "<string>",
"commit": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}{
"detail": "<string>",
"docs_uri": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"title": "<string>",
"action_id": "<string>",
"current_state": "<string>",
"etag": "<string>",
"gate_id": "<string>",
"outcome": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"user_message": "<string>"
}Authorizations
Body
application/json
The supervisor has tested this exact tree against the recorded expected head.
Response
Saved operation replay
No token or arbitrary remote response is exposed in this receipt.